# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KURLPropsPlugin Class Reference

Used to edit the files containing [Desktop Entry] URL=.... More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KURLPropsPlugin:

[legend]
Collaboration diagram for KURLPropsPlugin:

[legend]
List of all members.

## Public Member Functions

| KURLPropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()

## Static Public Member Functions

static bool | supports (KFileItemList _items)

## Detailed Description

Used to edit the files containing [Desktop Entry] URL=....

Such files are used to represent a program in kicker and konqueror.

Definition at line 657 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KURLPropsPlugin::KURLPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 2383 of file kpropertiesdialog.cpp. References KDialogBase::addPage(), KPropsDlgPlugin::changed(), QFile::close(), QObject::connect(), QString::isNull(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), KConfigBase::readPathEntry(), KConfigBase::setDesktopGroup(), QLabel::setText(), and KURLRequester::setURL().

## Member Function Documentation

void KURLPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

Applies all changes to the file.

This function is called when the user presses 'Ok'. The last plugin inserted is called first.

Reimplemented from KPropsDlgPlugin.

Definition at line 2442 of file kpropertiesdialog.cpp.

References QFile::close(), KURL::fileName(), KConfigBase::hasKey(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), KConfigBase::setDesktopGroup(), KMessageBox::sorry(), KURLRequester::url, KConfigBase::writeEntry(), and KConfigBase::writePathEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:45 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003